Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Class HistogramImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.gui.HistogramImpl

public class HistogramImpl
extends BaseImpl
implements ArchivedGeometryWidget, ArchivedGeometryWidgetS, HistogramS, Histogram

Histogram display tool.. In Tk, this is based on BLT's barchart. The number of bins is fixed at creation time, then the user hands the Histogram an array of datapoints (double or int) to display (or optionally an array of datapoints and locations where the bars should be drawn (specified as doubles).

Constructor Summary
`HistogramImpl()`
`HistogramImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`HistogramImpl(Zone aZone, java.lang.String name)`

Methods implemented by this class for interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods implemented by this class for interface swarm.gui.Histogram
`hideLegend, setActiveOutlierText$count, setAxisLabelsX$Y, setBarWidth, setColors$count, setLabels$count, setTitle, setupActiveItemInfo, setupActiveOutlierMarker, setupZoomStack, setXaxisMin$max$step, setXaxisMin$max$step$precision`

Methods implemented by this class for interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistogramImpl

    public HistogramImpl()

### HistogramImpl

    public HistogramImpl(Zone aZone,
                         java.lang.String name)

### HistogramImpl

    public HistogramImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD